Bug 59809 - Update port: sysutils/smartmontools to 5.26
Update port: sysutils/smartmontools to 5.26
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: sergei
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-30 01:00 UTC by robin
Modified: 2003-12-05 14:12 UTC (History)
1 user (show)

See Also:


Attachments
patch-smartmontools-5.26 (2.45 KB, text/plain)
2003-11-30 01:00 UTC, robin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description robin 2003-11-30 01:00:41 UTC
- Update to version 5.26
- Use PORTDOCS macro.

* Untested on -CURRENT *

Fix: * Delete files/patch-*
Comment 1 sergei freebsd_committer 2003-12-01 05:57:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sergei

I'll take it.
Comment 2 sergei freebsd_committer 2003-12-04 16:22:05 UTC
Eduard,

Please review the patch at the following URL:

	http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/59809

and let us know if you approve it. Thanks!

Sergei
Comment 3 sergei freebsd_committer 2003-12-04 16:22:35 UTC
State Changed
From-To: open->feedback

Awaiting maintainer's feedback.
Comment 4 martines 2003-12-05 05:06:44 UTC
Sergei,

It looks fine to me....I've actually been meaning to generate this myself,
but have been tied up with other work.  The only question I have why switch
to using the make variable 'PORTDOCS' rather than 'DOCS'?  Did something get
updated?  I also noticed the %%PORTDOCS%% portion of the packing list was
removed.  Since I am definitely NOT an expert in port packaging, I do not
know if this is bad or good.  However, as far as the basic port itself,
since the only real change is an update to distfile/Makefile to use the
latest stable release, I do not see any issues.

Ed

----- Original Message ----- 
From: "Sergei Kolobov" <sergei@FreeBSD.org>
To: "Eduard Martinescu" <martines@rochester.rr.com>
Cc: "Robin Breathe" <robin@isometry.net>; <FreeBSD-gnats-submit@FreeBSD.org>
Sent: Thursday, December 04, 2003 11:22 AM
Subject: Re: ports/59809: Update port: sysutils/smartmontools to 5.26


> Eduard,
>
> Please review the patch at the following URL:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/59809
>
> and let us know if you approve it. Thanks!
>
> Sergei
>
Comment 5 sergei freebsd_committer 2003-12-05 10:08:11 UTC
Ed,

On 2003-12-05 at 00:06 -0500, Eduard Martinescu wrote:
> It looks fine to me....I've actually been meaning to generate this myself,
> but have been tied up with other work.  The only question I have why switch
> to using the make variable 'PORTDOCS' rather than 'DOCS'?  Did something get
> updated?  I also noticed the %%PORTDOCS%% portion of the packing list was
> removed.  Since I am definitely NOT an expert in port packaging, I do not
> know if this is bad or good.  However, as far as the basic port itself,
> since the only real change is an update to distfile/Makefile to use the
> latest stable release, I do not see any issues.

Thanks for the review. I will leave out the PORTDOCS part as I do not
like that myself. (NOTE: I am planning to submit a PR to change that
mechanism a bit).

Sergei
Comment 6 sergei freebsd_committer 2003-12-05 10:10:28 UTC
State Changed
From-To: feedback->analyzed

Got maintainer's approval.
Comment 7 sergei freebsd_committer 2003-12-05 14:12:15 UTC
State Changed
From-To: analyzed->closed

Committed, thanks!